SelectByID2 Fehlermeldung / SolidWorks
Muck93 27. Mai. 2017, 12:18

Hallo Leute,

Ich habe eine Baugruppe geöffnet und ein weiteres Bauteil.
Ich möchte nun Abhängigkeiten setzten. Aber folgender Fehler tritt auf.
[CODE][ MateName = "Boden" + strCompName
            FirstSelection = "Ebene oben@" + strCompName & "@" + AssemblyName
            SecondSelection = "Front@" + AssemblyName


            swModel.ClearSelection2(True)
            swDocExt = swModel.Extension


            ' Select the planes for the mate
            boolstat = swDocExt.SelectByID2(FirstSelection, "PLANE", 0, 0, 0, True, 1, Nothing, swSelectOptionDefault)
            boolstat = swDocExt.SelectByID2(SecondSelection, "PLANE", 0, 0, 0, True, 1, Nothing, swSelectOptionDefault)/CODE]

1. Fehler: Beim swSelectOptionDefault: wurde nicht deklariert

Gruß

Carsten1210 27. Mai. 2017, 15:24

Hi Muck,

So wie es aussieht fehlt dir der Verweis auf die SWConst.tlb (Solidworks 201x Constant Typ Library).

Gruß, Carsten

[Diese Nachricht wurde von Carsten1210 am 27. Mai. 2017 editiert.]

Muck93 27. Mai. 2017, 16:39

Vielen Dank für deine Hilfe :-)